Home//
REST API Reference
/- List attached contacts
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
List all notes
Create a note
List attached segments for contact
List subscriptions for a contact
Add subscription to a contact
Remove subscription from a contact
List tags attached to a contact
Add tag to a contact
Remove tag from a contact
Update a contact
Get a contact
Delete a contact
Merge a lead and a user
Search contacts
List all contacts
Create contact
Archive contact
Unarchive contact
Contact
List attached contacts
You can fetch a list of all contacts that belong to a company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/companies/{id}/contacts
- The european API serverhttps://api.eu.intercom.io/companies/{id}/contacts
- The australian API serverhttps://api.au.intercom.io/companies/{id}/contacts
curl -i -X GET \
https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/contacts \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.9'Successful
dataArray of objects(Contact)
An array containing Contact Objects
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
Response
{ "type": "list", "data": [], "total_count": 0, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 0 } }